gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: Conditionally che


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: Conditionally check Twsiter services.
Date: Fri, 28 Jun 2019 20:41:24 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 3ae57f4  Conditionally check Twsiter services.
3ae57f4 is described below

commit 3ae57f498c1fae474f38fd7dc722c1308454e443
Author: Marcello Stanisci <address@hidden>
AuthorDate: Fri Jun 28 20:41:09 2019 +0200

    Conditionally check Twsiter services.
---
 buildbot/checks.sh  | 48 ++++++++++++++++++++++++++----------------------
 buildbot/master.cfg |  4 ++--
 2 files changed, 28 insertions(+), 24 deletions(-)

diff --git a/buildbot/checks.sh b/buildbot/checks.sh
index f529a11..dd99373 100755
--- a/buildbot/checks.sh
+++ b/buildbot/checks.sh
@@ -108,29 +108,33 @@ if ! test 200 = $http_status_code; then
 fi
 
 
-if test "test" = ${DEPLOYMENT}; then
-  URL="https://twister-backend.wild.gv.taler.net";
-  http_status_code=$(curl \
-    -H "Authorization: ApiKey sandbox" \
-    -s $URL -o /dev/null \
-    -w "%{http_code}")
-  if ! test 200 = $http_status_code; then
-
-    if test 503 = $http_status_code; then
-      printf "%s %s\n" \
-        "Hit a '503 Service Unavailable' from Twister." \
-        "Assuming all is correct."
-      exit 0
-    fi
-
-    # Real failure here.
-    printf "%s failed\n" $URL
-    printf "$error_fmt" \
-      "Twister did not restart correctly" \
-       $http_status_code $? "$(error_stringify $?)"
-    exit 1
 
-  fi
+if $(taler-config -s twister -o twister_deploy >& /dev/null); then
+
+  for twister_url in "https://twister-backend.wild.gv.taler.net"; \
+                     "https://twister-bank.wild.gv.taler.net"; \
+                     "https://twister-exchange.wild.gv.taler.net";; do
+    http_status_code=$(curl \
+      -H "Authorization: ApiKey sandbox" \
+      -s $twister_url -o /dev/null \
+      -w "%{http_code}")
+    if ! test 200 = $http_status_code; then
+  
+      if test 503 = $http_status_code; then
+        printf "%s %s\n" \
+          "Hit a '503 Service Unavailable' from Twister." \
+          "Assuming all is correct."
+        exit 0
+      fi
+  
+      # Real failure here.
+      printf "%s failed\n" $twister_url
+      printf "$error_fmt" \
+        "Twister did not restart correctly" \
+         $http_status_code $? "$(error_stringify $?)"
+      exit 1
+    fi
+  done
 fi
 
 
diff --git a/buildbot/master.cfg b/buildbot/master.cfg
index f94b7af..671f628 100644
--- a/buildbot/master.cfg
+++ b/buildbot/master.cfg
@@ -367,8 +367,8 @@ TIP_RESERVE_TOPPER_FACTORY.addStep(ShellCommand(
 BUILD_FACTORY = util.BuildFactory()
 BUILD_FACTORY.addStep(ShellCommand(
     name="build",
-    description="Building inactive blue-green party.",
-    descriptionDone="Inactive party got built.",
+    description="Building all Taler codebase.",
+    descriptionDone="Taler built.",
     command=["./build.sh"],
     workdir="../../deployment/buildbot",
     haltOnFailure=True))

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]